Subject: Re: ecgs compilation
From: [email-masked] (Mumit Khan)

23 Aug 1998 05:43:30 -0700
Message-ID: <[email-masked]>
References: <F3332E1142DFD111873E0000F879A2BA0FADC6@NTMAIL>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Ian Collins <[email-masked]>
Cc: "Gnu-Win32 (E-mail)" <[email-masked]>

On Fri, 21 Aug 1998, Ian Collins wrote:

> When compiling ecgs1.0.3a, I get the error in gcc/protoize.c that
> sys/dir.h doesn't exist, which is true on my machine (b19.1).
> 
> I do however have a dirent.h in my
> H-i386-cygwin32\i386-cygwin32\include\sys directory.
> To use this, the POSIX define has to be set.
> 
> 1. Should my system have a dir.h ?
> or
> 2. Should the POSIX define be set (and where is the best place to set
> it)?
> 

Ian, 

egcs-1.0.x doesn't support x86-*win32 targets out of the box, so you need
to patch your sources. I don't know what patches you've added, but this
one is covered by one of the patches my ftp site (see URL below). egcs-1.1
does support gnu-win32 out of the box.

If you haven't added my patches, this is what I suggest:
  
- go to my patch area
  ftp://ftp.xraylith.wisc.edu/pub/khan/gnu-win32/cygwin32/releases/
			patches/broken-down/
    
- pick up all the patches there and apply them. You might want to skip
  "cygnus.diff" (aka "unlibsubdir patch"), which is primarily meant for 
  building relocatable packages (so you install anywhere and just have
  to set GCC_EXEC_PREFIX instead of a slew of variables pointing to
  zillions of directories).

- apply to egcs-1.0.3a and rebuild.

The problem you mention is fixed in part by "wilson.diff".

I never bothered releasing 1.0.3a binaries since the bug fixes didn't
offer anything for gnu-win32 (mostly for RedHat 5.0 back then), but
it should patch in cleanly.

Then the usual configure flags:
  
  % cd <builddir>
  % <srcdir>/configure --prefix=/Cygnus/B19 \
      --exec-prefix=/Cygnus/B19/H-i386-cygwin32 i386-cygwin32

If you've added "cygnus.diff", then you must do the following *now*:
  
  % cd gcc
  % make installdirs
  % cd ..

Now make and make install:

  % make 
  % make install
should do the job.

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".